Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser.pm	(revision 27777)
@@ -9,16 +9,16 @@
 package XML::Parser;
 
+use strict;
+
+use vars qw($VERSION $LWP_load_failed);
+
 use Carp;
 
 BEGIN {
   require XML::Parser::Expat;
-  $VERSION = '2.34';
+  $VERSION = '2.41';
   die "Parser.pm and Expat.pm versions don't match"
     unless $VERSION eq $XML::Parser::Expat::VERSION;
 }
-
-use strict;
-
-use vars qw($VERSION $LWP_load_failed);
 
 $LWP_load_failed = 0;
@@ -144,5 +144,5 @@
   my $final = delete $handlers{Final};
 
-  my $expatnb = new XML::Parser::ExpatNB(@expat_options, @_);
+  my $expatnb = XML::Parser::ExpatNB->new(@expat_options, @_);
   $expatnb->setHandlers(%handlers);
 
@@ -168,5 +168,5 @@
   }
   
-  my $expat = new XML::Parser::Expat(@expat_options, @_);
+  my $expat = XML::Parser::Expat->new(@expat_options, @_);
   my %handlers = %{$self->{Handlers}};
   my $init = delete $handlers{Init};
@@ -298,5 +298,5 @@
 
   require IO::File;
-  my $fh = new IO::File($path);
+  my $fh = IO::File->new($path);
   unless (defined $fh) {
     $xp->{ErrorMessage}
@@ -337,11 +337,11 @@
 
   use XML::Parser;
-  
-  $p1 = new XML::Parser(Style => 'Debug');
+
+  $p1 = XML::Parser->new(Style => 'Debug');
   $p1->parsefile('REC-xml-19980210.xml');
   $p1->parse('<foo id="me">Hello World</foo>');
 
   # Alternative
-  $p2 = new XML::Parser(Handlers => {Start => \&handle_start,
+  $p2 = XML::Parser->new(Handlers => {Start => \&handle_start,
                                      End   => \&handle_end,
                                      Char  => \&handle_char});
@@ -349,5 +349,5 @@
 
   # Another alternative
-  $p3 = new XML::Parser(ErrorContext => 2);
+  $p3 = XML::Parser->new(ErrorContext => 2);
 
   $p3->setHandlers(Char    => \&text,
@@ -376,6 +376,6 @@
 case they override options given at XML::Parser creation time.
 
-The behavior of the parser is controlled either by C<L</Style>> and/or
-C<L</Handlers>> options, or by L</setHandlers> method. These all provide
+The behavior of the parser is controlled either by C<L</STYLES>> and/or
+C<L</HANDLERS>> options, or by L</setHandlers> method. These all provide
 mechanisms for XML::Parser to set the handlers needed by XML::Parser::Expat.
 If neither C<Style> nor C<Handlers> are specified, then parsing just
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Encodings/README
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Encodings/README	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Encodings/README	(revision 27777)
@@ -1,7 +1,7 @@
 This directory contains binary encoding maps for some selected encodings.
-If they are placed in a directoy listed in @XML::Parser::Expat::Encoding_Path,
-then they are automaticly loaded by the XML::Parser::Expat::load_encoding
+If they are placed in a directory listed in @XML::Parser::Expat::Encoding_Path,
+then they are automatically loaded by the XML::Parser::Expat::load_encoding
 function as needed. Otherwise you may load what you need directly by
-explicity calling this function.
+explicitly calling this function.
 
 These maps were generated by a perl script that comes with the module
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Expat.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Expat.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Expat.pm	(revision 27777)
@@ -11,5 +11,5 @@
 
 @ISA = qw(DynaLoader);
-$VERSION = "2.34" ;
+$VERSION = "2.41";
 
 $have_File_Spec = $INC{'File/Spec.pm'} || do 'File/Spec.pm';
@@ -443,10 +443,10 @@
   
   if (defined $arg) {
+    local *@;
     if (ref($arg) and UNIVERSAL::isa($arg, 'IO::Handle')) {
       $ioref = $arg;
-    } elsif (tied($arg)) {
-      my $class = ref($arg);
-      no strict 'refs';
-      $ioref = $arg if defined &{"${class}::TIEHANDLE"};
+    } elsif ($] < 5.008 and defined tied($arg)) {
+      require IO::Handle;
+      $ioref = $arg;
     }
     else {
@@ -456,5 +456,4 @@
         $ioref = *{$arg}{IO} if defined *{$arg};
       };
-      undef $@;
     }
   }
@@ -463,11 +462,13 @@
     my $delim = $self->{Stream_Delimiter};
     my $prev_rs;
+    my $ioclass = ref $ioref;
+    $ioclass = "IO::Handle" if !length $ioclass;
     
-    $prev_rs = ref($ioref)->input_record_separator("\n$delim\n")
+    $prev_rs = $ioclass->input_record_separator("\n$delim\n")
       if defined($delim);
     
     $result = ParseStream($parser, $ioref, $delim);
     
-    ref($ioref)->input_record_separator($prev_rs)
+    $ioclass->input_record_separator($prev_rs)
       if defined($delim);
   } else {
@@ -496,5 +497,6 @@
 
 ################################################################
-package XML::Parser::ContentModel;
+package #hide from PAUSE
+ XML::Parser::ContentModel;
 use overload '""' => \&asString, 'eq' => \&thiseq;
 
@@ -583,5 +585,6 @@
 
 ################################################################
-package XML::Parser::ExpatNB;
+package #hide from PAUSE
+ XML::Parser::ExpatNB;
 
 use vars qw(@ISA);
@@ -649,5 +652,6 @@
 ################################################################
 
-package XML::Parser::Encinfo;
+package  #hide from PAUSE
+ XML::Parser::Encinfo;
 
 sub DESTROY {
@@ -668,9 +672,9 @@
  use XML::Parser::Expat;
 
- $parser = new XML::Parser::Expat;
+ $parser = XML::Parser::Expat->new;
  $parser->setHandlers('Start' => \&sh,
                       'End'   => \&eh,
                       'Char'  => \&ch);
- open(FOO, 'info.xml') or die "Couldn't open";
+ open(FOO, '<', 'info.xml') or die "Couldn't open";
  $parser->parse(*FOO);
  close(FOO);
@@ -1213,5 +1217,5 @@
 table. Earlier encodings of the same name are replaced.
 
-This function is automaticly called by expat when it encounters an encoding
+This function is automatically called by expat when it encounters an encoding
 it doesn't know about. Expat shouldn't call this twice for the same
 encoding name. The only reason users should use this function is to
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Debug.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Debug.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Debug.pm	(revision 27777)
@@ -1,3 +1,3 @@
-# $Id: Debug.pm,v 1.1 2003/07/27 16:07:49 matt Exp $
+# $Id: Debug.pm,v 1.1 2003-07-27 16:07:49 matt Exp $
 
 package XML::Parser::Style::Debug;
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Objects.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Objects.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Objects.pm	(revision 27777)
@@ -1,3 +1,3 @@
-# $Id: Objects.pm,v 1.1 2003/08/18 20:20:51 matt Exp $
+# $Id: Objects.pm,v 1.1 2003-08-18 20:20:51 matt Exp $
 
 package XML::Parser::Style::Objects;
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Stream.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Stream.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Stream.pm	(revision 27777)
@@ -1,3 +1,3 @@
-# $Id: Stream.pm,v 1.1 2003/07/27 16:07:49 matt Exp $
+# $Id: Stream.pm,v 1.1 2003-07-27 16:07:49 matt Exp $
 
 package XML::Parser::Style::Stream;
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Subs.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Subs.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Subs.pm	(revision 27777)
@@ -1,3 +1,3 @@
-# $Id: Subs.pm,v 1.1 2003/07/27 16:07:49 matt Exp $
+# $Id: Subs.pm,v 1.1 2003-07-27 16:07:49 matt Exp $
 
 package XML::Parser::Style::Subs;
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Tree.pm
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Tree.pm	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/XML/Parser/Style/Tree.pm	(revision 27777)
@@ -1,3 +1,3 @@
-# $Id: Tree.pm,v 1.2 2003/07/31 07:54:51 matt Exp $
+# $Id: Tree.pm,v 1.2 2003-07-31 07:54:51 matt Exp $
 
 package XML::Parser::Style::Tree;
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/auto/XML/Parser/.packlist
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/auto/XML/Parser/.packlist	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/auto/XML/Parser/.packlist	(revision 27777)
@@ -11,4 +11,5 @@
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/big5.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/euc-kr.enc
+/home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/ibm866.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/iso-8859-2.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/iso-8859-3.enc
@@ -18,6 +19,9 @@
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/iso-8859-8.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/iso-8859-9.enc
+/home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/koi8-r.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/windows-1250.enc
+/home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/windows-1251.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/windows-1252.enc
+/home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/windows-1255.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/x-euc-jp-jisx0221.enc
 /home/ubuntu/research/code/greenstone3-svn/gs2build/perllib/cpan/perl-5.14/XML/Parser/Encodings/x-euc-jp-unicode.enc
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/perllocal.pod
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/perllocal.pod	(revision 27773)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.14/perllocal.pod	(revision 27777)
@@ -1,3 +1,3 @@
-=head2 Sun Jul  7 01:24:07 2013: C<Module> L<XML::Parser|XML::Parser>
+=head2 Mon Jul  8 12:08:20 2013: C<Module> L<XML::Parser|XML::Parser>
 
 =over 4
@@ -13,5 +13,5 @@
 =item *
 
-C<VERSION: 2.34>
+C<VERSION: 2.41>
 
 =item *