Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27250)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27779)
@@ -10,5 +10,5 @@
 <Text id="0001">Greenstone tutorial exercises (2012)</Text>
 </Title>
-<Version current="2.85"/>
+<Version current="2.86"/>
 <SupplementaryText>
 <Text id="title">Greenstone tutorial exercise</Text>
@@ -376,5 +376,5 @@
 <Text id="0193">Installing Greenstone</Text>
 </Title>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.86"/>
 <Content>
 <Heading>
@@ -435,5 +435,5 @@
 </Bullet>
 </BulletList>
-<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.85</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
+<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.86</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
 <Text id="0219">To invoke the Greenstone Librarian Interface, go to the same item and select <i>Librarian Interface (GLI)</i>.</Text>
 </Content>
@@ -444,5 +444,5 @@
 </Title>
 <Prerequisite id="install_greenstone"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.86"/>
 <Content>
 <Comment>
@@ -498,5 +498,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -510,5 +510,5 @@
   <MajorVersion number="2">
 <Menu>
-<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.85 &rarr; Librarian Interface (GLI)</Text>
+<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Librarian Interface (GLI)</Text>
 </Menu>
   </MajorVersion>
@@ -520,5 +520,5 @@
 <Comment>
 <Text id="0255b">If you are using Windows Vista or Windows 7 and have installed Greenstone into the default location (i.e. C:\Program Files\Greenstone) a User Account Control dialog may appear as you try to start the Greenstone Librarian Interface, click &lt;<b>Yes</b>&gt; to continue. </Text>
-<Text id="0256">After a short pause a startup screen appears, and then after a slightly longer pause the main Greenstone Librarian Interface appears. (A command prompt is also opened in the background.)</Text>
+<Text id="0256"> After a short pause a startup screen appears, and then after a slightly longer pause the main Greenstone Librarian Interface appears. (A command prompt is also opened in the background.)</Text>
 </Comment>
 </NumberedItem>
@@ -606,10 +606,12 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <NumberedItem>
+<Text id="0338aa">Using your Windows file browser, locate the folder <MajorVersion number="2"><Path>sample_files &rarr; images &rarr; image-e2</Path>. Copy this entire folder into your <Path>Greenstone &rarr; collect</Path> folder.</MajorVersion><MajorVersion number="3"><Path>sample_files &rarr; images &rarr; imagee3</Path>. Copy this entire folder into your <Path>Greenstone &rarr; web &rarr; sites &rarr; localsite &rarr; collect</Path> folder.</MajorVersion></Text>
+</NumberedItem>
+<NumberedItem>
 <Text id="0338">In the Librarian Interface, start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information. For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection</b> from the pull-down menu.</Text> 
 <Comment>
-<Text id="0338a">This will only be available if the documented example collections are installed. If you don't have this collection, select <AutoText key="glidict::NewCollectionPrompt.NewCollection"/>. You can still build an image collection, but some of the tutorial will not match exactly. </Text>
 <Text id="0340a">When you base a collection on an existing one, it inherits all the settings of the old one, including which metadata sets (if any) the collection uses.</Text>
 </Comment>
@@ -752,5 +754,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -815,5 +817,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0310b">By default the titles index (<b><AutoText key="metadata::dc.Title" type="plain"/>,<AutoText key="metadata::ex.dc.Title" type="plain"/>,<AutoText key="metadata::ex.Title" type="plain"/></b>) includes <AutoText key="metadata::dc.Title"/>, <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/>. Searching this index will search <AutoText key="metadata::dc.Title"/>, <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/> metadata. If you wanted to restrict searching to just the manually added <AutoText key="metadata::dc.Title"/> metadata, edit this index and deselect <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/> from the list of metadata.</Text>
+<Text id="0310b">By default the titles index (<b><AutoText key="metadata::dc.Title" type="plain"/>,<AutoText key="metadata::ex.dc.Title" type="plain"/>,<AutoText key="metadata::ex.Title" type="plain"/></b>) includes <AutoText key="metadata::dc.Title"/>, <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/>. Searching this index will search <AutoText key="metadata::dc.Title"/>, <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/> metadata. If you wanted to restrict searching to just the manually added <AutoText key="metadata::dc.Title"/> metadata, you would edit this index and deselect <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/> from the list of metadata.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -861,5 +863,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w" current="2.85|3.05"/>
+<Version initial="2.70w" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -1123,5 +1125,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85" current="2.85|3.05"/>
+<Version initial="2.85" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -1130,5 +1132,5 @@
 <Heading>Obtaining and installing the PDFBox extension for Greenstone</Heading>
 <NumberedItem>
-<Text id="pdfbox-ext-2">The wiki release notes that go with the Greenstone binary you downloaded will contain the download link to the PDFBox extension that works with your binary. If you want to try the most up-to-date version of the extension, visit <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.zip</Link> and download the zip archive from there, if you're in Windows. If you are working on a *nix machine, you might instead prefer to download the compressed tar file of the same by visiting <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz</Link>.</Text>
+<Text id="pdfbox-ext-2">The wiki release notes that go with the Greenstone binary you downloaded will contain the download link to the PDFBox extension that works with your binary. If you want to try the most up-to-date version of the extension, <b>visit</b> <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.zip</Link> and download the zip archive from there, if you're in Windows. If you are working on a *nix machine, you might instead prefer to download the compressed tar file of the same by visiting <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz</Link>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1164,5 +1166,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70" current="2.85|3.05"/>
+<Version initial="2.70" current="2.86|3.05"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good.</Text>
@@ -1218,5 +1220,5 @@
 <MajorVersion number="2">
 <NumberedItem>
-<Text id="ep-14">All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections, but each section displays <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. For the conversion to images for PDF documents, no text is extracted.</Text>
+<Text id="ep-14"><b>Build</b> the collection and <b>preview</b>.All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections, but each section displays <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. For the conversion to images for PDF documents, no text is extracted.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1359,5 +1361,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w" current="2.85|3.05"/>
+<Version initial="2.70w" current="2.86|3.05"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1461,5 +1463,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ew-27">In the <AutoText key="glidict::GUI.Enrich"/> panel, look at the metadata that has been extracted for <Path>word05.doc</Path> and <Path>word06.doc</Path>. Now open the documents in Word and look at what properties have been set (<Menu>File &rarr; Properties</Menu> for Word 2003. In Word 2007+, click the Word Icon on the top left, then choose <Menu>Prepare &rarr; Properties</Menu>). They have Title, Author, Subject, and Keywords properties. <AutoText text="WordPlugin"/> can be configured to look for these properties and extract them.</Text>
+<Text id="ew-27">In the <AutoText key="glidict::GUI.Enrich"/> panel, look at the metadata that has been extracted for <Path>word05.doc</Path> and <Path>word06.doc</Path>. Now open the documents in Word and look at what properties have been set (<Menu>File &rarr; Properties</Menu> for Word 2003. In Word 2007/2010, click the Word Icon on the top left, then choose <Menu>Prepare &rarr; Properties</Menu>. In Word 2013, <Menu>File &rarr; Info</Menu>; the Properties section is on the right.). They have Title, Author, Subject, and Keywords properties. <AutoText text="WordPlugin"/> can be configured to look for these properties and extract them.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1483,5 +1485,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85" current="2.85|3.05"/>
+<Version initial="2.85" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -1501,5 +1503,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="assoc-files-6">In the collection view, rename the 2 files you just copied to greenstone1.pdf and greenstone1.doc, respectively. This sets the input documents up to be in line with the objective of this tutorial: to work with documents of different formats that are named similarly and have identical contents.</Text>
+<Text id="assoc-files-6">In the collection view, right-click on each file you just copied and choose Rename to rename them to greenstone1.pdf and greenstone1.doc, respectively. This sets the input documents up to be in line with the objective of this tutorial: to work with documents of different formats that are named similarly and have identical contents.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1525,9 +1527,9 @@
 <MajorVersion number="2">
 <Format>
-<td valign="top">[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]</td>
+&lt;td valign="top"&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt;
 </Format>
 <Text id="assoc-files-18">to:</Text>
 <Format>
-<td valign="top">[ex.equivDocLink][ex.equivDocIcon][ex./equivDocLink]</td>
+&lt;td valign="top"&gt;[ex.equivDocLink][ex.equivDocIcon][ex./equivDocLink]&lt;/td&gt;
 </Format>
 </MajorVersion>
@@ -1538,18 +1540,17 @@
 <Text id="assoc-files-22">Change:</Text>
 <Format>
- <td valign="top">[link][icon][/link]</td><br />
- <td valign="top">[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]</td><br />
- <td valign="top">[highlight]<br />
+ &lt;td valign="top"&gt;[link][icon][/link]&lt;/td&gt;<br />
+ &lt;td valign="top"&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt;<br />
+ &lt;td valign="top"&gt;[highlight]<br />
  {Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br />
  [/highlight]{If}{[ex.Source],<br />
- &lt;i&gt;([ex.Source])&lt;/i&gt;}</td>
+ &lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;
 </Format> 
 <Text id="assoc-files-23">To:</Text>
 <Format>
- <td valign="top">[link][icon][/link]</td><br />
- <td valign="top">[ex.equivDocLink][ex.equivDocIcon][ex./equivDocLink]</td><br />
- <td valign="top">[highlight]<br />
- {Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br />
- [/highlight]{If}{[dc.Creator],: [sibling(All'\, '):dc.Creator]}</td><br />
+ &lt;td valign="top"&gt;[link][icon][/link]&lt;/td&gt;<br />
+ <highlight>&lt;td valign="top"&gt;[ex.equivDocLink][ex.equivDocIcon][ex./equivDocLink]&lt;/td&gt;</highlight><br />
+ &lt;td valign="top"&gt;[highlight]<br /> {Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br />
+ <highlight>[/highlight]{If}{[dc.Creator],: [sibling(All'\, '):dc.Creator]}&lt;/td&gt;</highlight><br />
 </Format> 
 </MajorVersion>
@@ -1613,5 +1614,5 @@
 <br />
 </MajorVersion>
-<Text id="assoc-files-24">Note: When Greenstone encounters a file that matches the provided <Format>associate_ext</Format> value (<Format>pdf</Format> in our case), it sets the metadata value <AutoText text="ex.equivDocIcon"/> for that document to be the macro <i>_iconXXX_</i>, where <i>XXX</i> is whatever the filename extension is (so <AutoText text="_iconpdf_" type="italics"/> in our case). As long as there is an existing macro defined for that combination of the word <i>icon</i> and the filename extension, then a suitable icon will be displayed when the document appears in a VList. For <i>pdf</i> the displayed icon will be <img src="../tutorial_files/ipdf.gif"/>.</Text>
+<Text id="assoc-files-24">Note: When Greenstone encounters a file that matches the provided <Format>associate_ext</Format> value (<Format>pdf</Format> in our case), it sets the metadata value <AutoText text="ex.equivDocIcon"/> for that document to be the macro <i>_iconXXX_</i>, where <i>XXX</i> is whatever the filename extension is (so <AutoText text="_iconpdf_" type="italics"/> in our case). As long as there is an existing macro defined for that combination of the word <i>icon</i> and the filename extension, then a suitable icon will be displayed when the document appears in a VList. For <i>pdf</i> the displayed icon will be <img src="../tutorial_files/ipdf.gif"/>. <b>Build</b> the collection if you hadn't already done so and <b>preview</b> it now.</Text>
 </NumberedItem>
 </Content>
@@ -1622,5 +1623,5 @@
 <Text id="0403">Exporting a collection to CD-ROM/DVD</Text>
 </Title>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.86"/>
 <Content>
 <Comment>
@@ -1648,5 +1649,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -1710,5 +1711,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -1816,5 +1817,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <NumberedItem>
@@ -2025,5 +2026,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w" current="2.85|3.05"/>
+<Version initial="2.70w" current="2.86|3.05"/>
 <Content>
 <NumberedItem>
@@ -2088,5 +2089,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -2130,5 +2131,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <NumberedItem>
@@ -2179,5 +2180,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -2451,5 +2452,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w" current="2.85|3.05"/>
+<Version initial="2.70w" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -2569,5 +2570,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="2.70" current="2.85"/>
+<Version initial="2.70" current="2.86"/>
 <Content>
 <Text id="mf-2">The appearance of all pages produced by Greenstone is governed by macro files, which reside in the folder <Path>Greenstone &rarr; macros</Path>, and images and CSS stylesheets reside in <Path>Greenstone &rarr; web &rarr; style</Path>.</Text>
@@ -2636,4 +2637,5 @@
 /* clear the background image for the navigation bar, and set its color to red */<br/>
 div.navbar \{ background-image: none; background-color: red; \}<br/>
+a.navlink \{ background-image: none; background-color: red; \}<br/>
 /* clear the background image for the divider bars, and set their color to red */<br/>
 div.divbar \{ background-image: none; background-color: red; \}<br/>
@@ -2697,5 +2699,5 @@
 </Bullet>
 </BulletList>
-<Text id="mf-31">The look of your library should now be substantially different. The HELP, HOME and PREFERENCES buttons are in the left upper corner whereas the collection title is switched to the right of the page.</Text>
+<Text id="mf-31">The look of your library should now be substantially different. The HELP, HOME and PREFERENCES buttons are in the left upper corner whereas the collection title is switched to the right of the page. You will notice that the green boxes are now near the middle of the page. These are set in the <i>style.dm</i> file, and will be removed in Step 12.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2719,8 +2721,14 @@
 </Format>
 <Text id="mf-13">Here we are changing the background image for the <Format>bgimage</Format> section of the <Format>body</Format> of the page to <Format>newbgimg.gif</Format>.</Text>
+<Text id="mf-13a">Near the bottom of the <Format>_cssheader_</Format> macro, you will see these lines, which set the two green boxes mentioned in Step 9:</Text>
+<Format>p.bannertitle \{background-image: url("_httpimages_/banner_bg.png"); \}<br/>
+p.collectiontitle \{background-image: url("_httpimages_/banner_bg.png"); \}<br/></Format>
+<Text id="mf-13b"> Since we don't want these to appear anymore, we will simply comment out these lines like this:</Text>
+<Format>/*p.bannertitle \{background-image: url("_httpimages_/banner_bg.png"); \}<br/>
+p.collectiontitle \{background-image: url("_httpimages_/banner_bg.png"); \}*/<br/></Format>
 <Text id="mf-14">Save <Path>style.dm</Path> and close the file.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-15">Preview the home page in a web browser. (On Windows, restart the Greenstone library server.) The header of the home page, and the background of every page of each collection (except reports which uses a custom _cssheader_ macro) should now use the new graphics.</Text>
+<Text id="mf-15">Preview the home page in a web browser. (On Windows, restart the Greenstone library server.) The header of the home page, and the background of every page of each collection (except reports which uses a custom _cssheader_ macro) should now use the new graphics, and the green box background images are no longer present on the collection pages.</Text>
 </NumberedItem>
 <Heading>
@@ -2780,5 +2788,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <NumberedItem>
@@ -2829,5 +2837,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -3336,5 +3344,5 @@
 </Title>
 <SampleFiles folder="niupepa"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -3676,5 +3684,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70" current="2.85|3.05"/>
+<Version initial="2.70" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -3807,5 +3815,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -3996,5 +4004,5 @@
 </Title>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="2.85" current="2.85|3.05"/>
+<Version initial="2.85" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -4023,5 +4031,5 @@
 <NumberedItem>
 <MajorVersion number="2">
-<Text id="oaiserver-9">You are now ready to visit your oaiserver home page to check that it's all looking good. Start up the Greenstone Server by going to Windows <Path>Start &rarr; All Programs &rarr; Greenstone 2.85 &rarr; Greenstone Server</Path>.</Text>
+<Text id="oaiserver-9">You are now ready to visit your oaiserver home page to check that it's all looking good. Start up the Greenstone Server by going to Windows <Path>Start &rarr; All Programs &rarr; Greenstone 2.86 &rarr; Greenstone Server</Path>.</Text>
 </MajorVersion>
 <MajorVersion number="3">
@@ -4125,5 +4133,5 @@
 </Title>
 <Prerequisite id="GS_OAI_server"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -4231,5 +4239,5 @@
 <Text id="0750">Use METS as Greenstone's Internal Representation</Text>
 </Title>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.86"/>
 <Content>
 <NumberedItem>
@@ -4261,5 +4269,5 @@
 </Title>
 <SampleFiles folder="dspace"/>
-<Version initial="2.60" current="2.85"/>
+<Version initial="2.60" current="2.86"/>
 <Content>
 <NumberedItem>
@@ -4370,5 +4378,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60" current="2.85|3.05"/>
+<Version initial="2.60" current="2.86|3.05"/>
 <Content>
 <Comment>
@@ -4420,5 +4428,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w" current="2.85|3.05"/>
+<Version initial="2.70w" current="2.86|3.05"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>
@@ -4428,5 +4436,5 @@
 <NumberedItem>
 <Text id="gems-4">Start the Greenstone Editor for Metadata Sets (GEMS)</Text>
-<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.85 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.05 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
+<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.05 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
 <Text id="gems-5a">(If you're on Linux, use a terminal to run the <Command>gli/gems.sh</Command> start-up script.) </Text>
 </NumberedItem>
@@ -4462,5 +4470,5 @@
 </Title>
 <SampleFiles folder="demo"/>
-<Version initial="2.70w" current="2.85|3.05"/>
+<Version initial="2.70w" current="2.86|3.05"/>
 <Content>
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
@@ -4623,5 +4631,5 @@
 <SampleFiles folder="demo_NewFiles"/>
 <Prerequisite id="indexers"/>
-<Version initial="2.71" current="2.85"/>
+<Version initial="2.71" current="2.86"/>
 <Content>
 <Text id="depositor-2">Collections built with the <i>Lucene</i> indexer support incremental addition, updates, and deletion of documents and metadata. By default, the <b>import</b> and <b>build</b> processes delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new or modified ones.</Text>
@@ -4680,5 +4688,4 @@
 <Format>manage records and archives</Format>
 <Text id="depositor-meta5">Finally in the <AutoText key="coredm::_Global:textLanguage_"/> field, type: <Format>English</Format></Text>
-
 </NumberedItem>
 <NumberedItem>