Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">210</Metadata>
     <Metadata name="ImageHeight">180</Metadata>
-    <Metadata name="ImageSize">13KB</Metadata>
+    <Metadata name="ImageSize">12.7KB</Metadata>
     <Metadata name="srclink_file">Bear.jpg</Metadata>
     <Metadata name="srclinkFile">Bear.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Bear_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">86</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Bear</Metadata>
     <Metadata name="Identifier">D0</Metadata>
-    <Metadata name="lastmodified">1370403148</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906210</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432685</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D0.dir</Metadata>
     <Metadata name="gsdlassocfile">Bear.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">640</Metadata>
     <Metadata name="ImageHeight">480</Metadata>
-    <Metadata name="ImageSize">59.8KB</Metadata>
+    <Metadata name="ImageSize">58.4KB</Metadata>
     <Metadata name="srclink_file">Cat.jpg</Metadata>
     <Metadata name="srclinkFile">Cat.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Cat_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">75</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Cat</Metadata>
     <Metadata name="Identifier">D1</Metadata>
-    <Metadata name="lastmodified">1370403148</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906210</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432685</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D1.dir</Metadata>
     <Metadata name="gsdlassocfile">Cat.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">800</Metadata>
     <Metadata name="ImageHeight">533</Metadata>
-    <Metadata name="ImageSize">248KB</Metadata>
+    <Metadata name="ImageSize">242KB</Metadata>
     <Metadata name="srclink_file">Cheetah.jpg</Metadata>
     <Metadata name="srclinkFile">Cheetah.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Cheetah_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">67</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Cheetah</Metadata>
     <Metadata name="Identifier">D2</Metadata>
-    <Metadata name="lastmodified">1370403141</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906211</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432685</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D2.dir</Metadata>
     <Metadata name="gsdlassocfile">Cheetah.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">800</Metadata>
     <Metadata name="ImageHeight">533</Metadata>
-    <Metadata name="ImageSize">286KB</Metadata>
+    <Metadata name="ImageSize">280KB</Metadata>
     <Metadata name="srclink_file">Fish.jpg</Metadata>
     <Metadata name="srclinkFile">Fish.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Fish_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">67</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Fish</Metadata>
     <Metadata name="Identifier">D3</Metadata>
-    <Metadata name="lastmodified">1370403148</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906211</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432686</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D3.dir</Metadata>
     <Metadata name="gsdlassocfile">Fish.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">800</Metadata>
     <Metadata name="ImageHeight">600</Metadata>
-    <Metadata name="ImageSize">214KB</Metadata>
+    <Metadata name="ImageSize">209KB</Metadata>
     <Metadata name="srclink_file">Gopher.jpg</Metadata>
     <Metadata name="srclinkFile">Gopher.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Gopher_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">75</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Gopher</Metadata>
     <Metadata name="Identifier">D4</Metadata>
-    <Metadata name="lastmodified">1370403148</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906212</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432686</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D4.dir</Metadata>
     <Metadata name="gsdlassocfile">Gopher.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">1600</Metadata>
     <Metadata name="ImageHeight">1200</Metadata>
-    <Metadata name="ImageSize">448KB</Metadata>
+    <Metadata name="ImageSize">437KB</Metadata>
     <Metadata name="srclink_file">Lemur.jpg</Metadata>
     <Metadata name="srclinkFile">Lemur.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Lemur_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">75</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Lemur</Metadata>
     <Metadata name="Identifier">D5</Metadata>
-    <Metadata name="lastmodified">1370403148</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906212</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432686</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D5.dir</Metadata>
     <Metadata name="gsdlassocfile">Lemur.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">1600</Metadata>
     <Metadata name="ImageHeight">1200</Metadata>
-    <Metadata name="ImageSize">361KB</Metadata>
+    <Metadata name="ImageSize">352KB</Metadata>
     <Metadata name="srclink_file">Rhino.jpg</Metadata>
     <Metadata name="srclinkFile">Rhino.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Rhino_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">75</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Rhino</Metadata>
     <Metadata name="Identifier">D6</Metadata>
-    <Metadata name="lastmodified">1370403141</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906213</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432687</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D6.dir</Metadata>
     <Metadata name="gsdlassocfile">Rhino.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">800</Metadata>
     <Metadata name="ImageHeight">533</Metadata>
-    <Metadata name="ImageSize">221KB</Metadata>
+    <Metadata name="ImageSize">216KB</Metadata>
     <Metadata name="srclink_file">Shark.jpg</Metadata>
     <Metadata name="srclinkFile">Shark.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Shark_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">67</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Shark</Metadata>
     <Metadata name="Identifier">D7</Metadata>
-    <Metadata name="lastmodified">1370403141</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906213</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432687</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D7.dir</Metadata>
     <Metadata name="gsdlassocfile">Shark.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml	(revision 27798)
@@ -16,5 +16,5 @@
     <Metadata name="ImageWidth">800</Metadata>
     <Metadata name="ImageHeight">600</Metadata>
-    <Metadata name="ImageSize">238KB</Metadata>
+    <Metadata name="ImageSize">233KB</Metadata>
     <Metadata name="srclink_file">Tiger.jpg</Metadata>
     <Metadata name="srclinkFile">Tiger.jpg</Metadata>
@@ -22,5 +22,5 @@
     <Metadata name="ThumbType">gif</Metadata>
     <Metadata name="Thumb">Tiger_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; width=[ThumbWidth] height=[ThumbHeight]&gt;</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">75</Metadata>
@@ -35,8 +35,8 @@
     <Metadata name="Title">Tiger</Metadata>
     <Metadata name="Identifier">D8</Metadata>
-    <Metadata name="lastmodified">1370403141</Metadata>
-    <Metadata name="lastmodifieddate">20130605</Metadata>
-    <Metadata name="oailastmodified">1372906213</Metadata>
-    <Metadata name="oailastmodifieddate">20130704</Metadata>
+    <Metadata name="lastmodified">1373432612</Metadata>
+    <Metadata name="lastmodifieddate">20130710</Metadata>
+    <Metadata name="oailastmodified">1373432687</Metadata>
+    <Metadata name="oailastmodifieddate">20130710</Metadata>
     <Metadata name="assocfilepath">D8.dir</Metadata>
     <Metadata name="gsdlassocfile">Tiger.jpg:image/jpeg:</Metadata>
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/earliestDatestamp	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/earliestDatestamp	(revision 27798)
@@ -1,1 +1,1 @@
-1372906210
+1373432685
Index: /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg	(revision 27797)
+++ /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg	(revision 27798)
@@ -1,5 +1,5 @@
-builddate	1372906214
+builddate	1373432688
 buildtype	mgpp
-earliestdatestamp	1372906210
+earliestdatestamp	1373432685
 indexfieldmap	dc.Description->DE
 indexfields	dc.Description