Index: main/trunk/greenstone3/web/interfaces/default/transform/pages/debuginfo.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/transform/pages/debuginfo.xsl	(revision 27812)
+++ main/trunk/greenstone3/web/interfaces/default/transform/pages/debuginfo.xsl	(revision 27813)
@@ -10,49 +10,69 @@
 	<!-- use the 'main' layout -->
 	<xsl:include href="layouts/main.xsl"/>
-  <xsl:variable name="debug_property_file" select="concat($interface_name, '2')"/>
+	<xsl:variable name="debug_property_file" select="concat($interface_name, '2')"/>
 	<!-- set page title -->
-	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>
+	<xsl:template name="pageTitle">
+		<gslib:collectionName/>
+	</xsl:template>
 
 	<!-- set page breadcrumbs -->
-	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>
+	<xsl:template name="breadcrumbs">
+		<gslib:siteLink/>
+		<gslib:rightArrow/>
+	</xsl:template>
 
 	<!-- the page content -->
 	<xsl:template match="/page">
-	  <p><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.usage')"/></p>
+		<p>
+			<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.usage')"/>
+		</p>
 
-	  <dl>
-	    <dt>o=xml</dt>
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.xml')"/></dd>
-	    <dt>o=xmlfinal</dt>
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.xmlfinal')"/></dd>
-	    <dt>o=skindoc</dt>
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.skindoc')"/></dd>
-	    <dt>o=skinandlib</dt>
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.skinandlib')"/></dd>
-	    <dt>o=skinandlibdoc</dt>
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.skinandlibdoc')"/></dd>
-	    <dt>formatedit=on</dt>
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.formatedit')"/></dd>
-	  </dl>	  
+		<dl>
+			<dt>o=xml</dt>
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.xml')"/>
+			</dd>
+			<dt>o=xmlfinal</dt>
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.xmlfinal')"/>
+			</dd>
+			<dt>o=skindoc</dt>
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.skindoc')"/>
+			</dd>
+			<dt>o=skinandlib</dt>
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.skinandlib')"/>
+			</dd>
+			<dt>o=skinandlibdoc</dt>
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.skinandlibdoc')"/>
+			</dd>
+			<dt>formatedit=on</dt>
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.formatedit')"/>
+			</dd>
+		</dl>	  
 
+		<!-- better to do the following with a util:getInterfaceText
+	       so language independent -->
+		<p>
+			<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.refreshconfig')"/>
+		</p>
 
+		<dl>
+			<!--<a href="http://host:port/greenstone3/library?a=s&sa=c">a=s&amp;sa=c</a>-->
+			<dt>
+				<a href="{$library_name}?a=s&amp;sa=c">a=s&amp;sa=c</a>
+			</dt>
 
+			<dd>
+				<xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.reconfigsite')"/>
+			</dd>
+		</dl>
 
-	  <!-- better to do the following with a util:getInterfaceText
-	       so language independent -->
-	  <p><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.refreshconfig')"/></p>
-
-	  <dl>
-	    <!--<a href="http://host:port/greenstone3/library?a=s&sa=c">a=s&amp;sa=c</a>-->
-	    <dt><a href="{$library_name}?a=s&amp;sa=c">a=s&amp;sa=c</a></dt>
-
-	    <dd><xsl:value-of select="util:getInterfaceText($debug_property_file, /page/@lang, 'debuginfo.reconfigsite')"/>
-	    </dd>
-	  </dl>
-
+		<a href="{$library_name}?a=de&amp;c={/page/pageResponse/collection/@name}">Despositor</a>
 
 	</xsl:template>
-
-
 </xsl:stylesheet>  
 