Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27885)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27886)
@@ -4939,5 +4939,5 @@
 </Comment>
 <NumberedItem>
-<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.06 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button). This will take you to your library home page, which we will be replacing with our custom home page.</Text>
+<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.06 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
 </NumberedItem>
 <Heading>
@@ -5054,8 +5054,17 @@
 <Format>
 	&lt;xsl:template name="searchBox"&gt;<br />
-		<Tab n="1"/>&lt;xsl:for-each select="//page/pageResponse"&gt;<br />
-		<Tab n="1"/>&lt;div id="quickSearch"&gt;<br />
-			<Tab n="2"/>&lt;gslib:crossCollectionQuickSearchForm/&gt;<br />
-		<Tab n="1"/>&lt;/div&gt;<br />
+		<Tab n="1"/>&lt;xsl:for-each select="//page/pageResponse/serviceList/service[@name='TextQuery']"&gt;<br />
+			<Tab n="2"/>&lt;form name="QuickSearch" method="get" action="{$library_name}"&gt;<br />
+				<Tab n="3"/>&lt;input type="hidden" name="a" value="q"/&gt;<br />
+				<Tab n="3"/>&lt;input type="hidden" name="rt" value="rd"/&gt;<br />
+				<Tab n="3"/>&lt;input type="hidden" name="s" value="{@name}"/&gt;<br />
+				<Tab n="3"/>&lt;input type="hidden" name="s1.collection" value="all"/&gt;<br />
+				<Tab n="3"/>&lt;input type="text" name="s1.query" size="20" id="search-text" value="" /&gt;<br />
+				<Tab n="3"/>&lt;input type="submit" id="search-submit"&gt;<br />
+					<Tab n="4"/>&lt;xsl:attribute name="value"&gt;<br />
+						<Tab n="5"/>&lt;xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.quick_search')"/&gt;<br />
+					<Tab n="4"/>&lt;/xsl:attribute&gt;<br />
+				<Tab n="3"/>&lt;/input&gt;<br />
+			<Tab n="2"/>&lt;/form&gt;<br />		
 		<Tab n="1"/>&lt;/xsl:for-each&gt;<br />
 	&lt;/xsl:template&gt;<br />
@@ -5090,22 +5099,21 @@
 <Text id="hp-23">Add the following template before the final <i>&lt;/xsl:stylesheet&gt;</i>:</Text>
 <Format>
-	<Tab n="1"/>&lt;xsl:template name="loginButton"&gt;<br />
-			<Tab n="2"/>&lt;xsl:variable name="username" select="/page/pageRequest/userInformation/@username"/&gt;<br />
-				<Tab n="3"/>&lt;xsl:choose&gt;<br />
-					<Tab n="4"/>&lt;xsl:when test="$username"&gt;<br />
-						<Tab n="5"/>&lt;li&gt;&lt;a&gt;<br />
-							<Tab n="6"/>&lt;xsl:attribute name="href"&gt;library/admin/AccountSettings?s1.username=&lt;xsl:value-of select="$username"/&gt;&lt;/xsl:attribute&gt;&lt;xsl:value-of select="$username"/&gt;<br />
-						<Tab n="5"/>&lt;/a&gt;&lt;/li&gt;<br />
-						<Tab n="5"/>&lt;li&gt;&lt;a href="library/admin/Register"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
-								<Tab n="6"/>&lt;li&gt;&lt;a href="library/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
-						<Tab n="5"/>&lt;li&gt;&lt;a&gt;&lt;xsl:attribute name="href"&gt;library?logout=&lt;/xsl:attribute&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
-					<Tab n="4"/>&lt;/xsl:when&gt;<br />
-					<Tab n="4"/>&lt;xsl:otherwise&gt;<br />
-						<Tab n="5"/>&lt;li&gt;&lt;a href="?a=p&amp;amp;sa=login&amp;amp;redirectURL=library%3Fa=p%26sa=home"&gt;Login<br />
-							<Tab n="6"/>&lt;xsl:attribute name="title"&gt;&lt;xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'login_tip')"/&gt;&lt;/xsl:attribute&gt;<br /><br />
-
-						<Tab n="5"/>&lt;/a&gt;&lt;/li&gt;<br />
-					<Tab n="4"/>&lt;/xsl:otherwise&gt;<br />
-&lt;/xsl:choose&gt;<br />					
+&lt;xsl:template name="loginButton"&gt;<br />
+	<Tab n="1"/>&lt;xsl:variable name="username" select="/page/pageRequest/userInformation/@username"/&gt;<br />
+	<Tab n="1"/>&lt;xsl:choose&gt;<br />
+		<Tab n="2"/>&lt;xsl:when test="$username"&gt;<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a&gt;<br />
+				<Tab n="4"/>&lt;xsl:attribute name="href"&gt;library/admin/AccountSettings?s1.username=&lt;xsl:value-of select="$username"/&gt;&lt;/xsl:attribute&gt;&lt;xsl:value-of select="$username"/&gt;<br />
+			<Tab n="3"/>&lt;/a&gt;&lt;/li&gt;<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a href="library/admin/Register"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
+					<Tab n="4"/>&lt;li&gt;&lt;a href="library/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a&gt;&lt;xsl:attribute name="href"&gt;library?logout=&lt;/xsl:attribute&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
+		<Tab n="2"/>&lt;/xsl:when&gt;<br />
+		<Tab n="2"/>&lt;xsl:otherwise&gt;<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a href="?a=p&amp;amp;sa=login&amp;amp;redirectURL=library%3Fa=p%26sa=home"&gt;Login<br />
+				<Tab n="4"/>&lt;xsl:attribute name="title"&gt;&lt;xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'login_tip')"/&gt;&lt;/xsl:attribute&gt;<br />
+			<Tab n="3"/>&lt;/a&gt;&lt;/li&gt;<br />
+		<Tab n="2"/>&lt;/xsl:otherwise&gt;<br />
+	<Tab n="1"/>&lt;/xsl:choose&gt;<br />					
 &lt;/xsl:template&gt;<br />
 </Format>
@@ -5116,5 +5124,5 @@
 &lt;li&gt;&lt;a href="?a=p&amp;sa=login&amp;redirectURL=library%3Fa=p%26sa=home"&gt;Login&lt;/a&gt;&lt;/li&gt;<br />
 &lt;li&gt;&lt;a href="library/admin/AccountSettings?s1.username="&gt;Account Settings&lt;/a&gt;&lt;/li&gt;<br />
-&lt;li&gt;&lt;a href="library/admin/Register"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
+&lt;li&gt;&lt;a href="library/admin/AddUser"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
 &lt;li&gt;&lt;a href="library/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
 &lt;li&gt;&lt;a href="library?logout="&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
@@ -5145,5 +5153,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="hp-33">For changes to <i>siteConfig.xml</i> to take affect, the site must be reconfigured. To do this, you can either restart the server, or, in a browser window, navigate to <b>http://localhost:8080/greenstone3/library?a=s&amp;sa=c</b> (replace <i>8080</i> if you are running the Greenstone3 server on another port, like <i>8088</i> or <i>8383</i>). Navigate back to your home page (by clicking the link in the upper left corner). The page title and header should now be your new library name. Enter one of your collections and see that your library name (in the top left corner) has changed here, as well.</Text>
+<Text id="hp-33">For changes to <i>siteConfig.xml</i> to take affect, the site must be reconfigured. To do this, you can either restart the server, or, in a browser window, navigate to <b>http://localhost:8383/greenstone3/library?a=s&amp;sa=c</b> (replace <i>8383</i> if you are running the Greenstone3 server on another port, like <i>8080</i> or <i>8088</i>). Navigate back to your home page (by clicking the link in the upper left corner). The page title and header should now be your new library name. Enter one of your collections and see that your library name (in the top left corner) has changed here, as well.</Text>
 </NumberedItem>
 </Content>