Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27886)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27891)
@@ -546,5 +546,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0265">Now drag the <Path>html_files</Path> folder from the left-hand side and drop it on the right. The progress bar at the bottom shows some activity. Gradually, duplicates of all the files will appear in the collection panel.</Text>
+<Text id="0265">Now drag the <Path>html_files</Path> folder from the left-hand side and drop it on the right. The progress bar at the bottom shows some activity. Gradually, duplicates of all the files will appear in the collection panel. A popup may appear saying that geov2.js is an unrecognised filetype and can't be processed by GLI. Tick the checkbox to no longer see this message again.</Text>
 <Comment>
 <Text id="0266">You can inspect the files that have been copied by double-clicking on the folder in the right-hand side.</Text>
@@ -644,5 +644,5 @@
 <Text id="0355a">Add a description for each image as <AutoText key="metadata::dc.Description"/> metadata.</Text>
 <Text id="0372">What description should you enter? To remind yourself of a file's content, the Librarian Interface lets you open files by double-clicking them. It launches the appropriate application based on the filename extension, Word for .doc files, Acrobat for .pdf files and so on.</Text>
-<Text id="0372a">Double-click <Path>Bear.jpg</Path>: on Windows, the image will normally be displayed by Microsoft's Photo Editor (although this depends on how your computer has been set up).</Text>
+<Text id="0372a">Double-click <Path>Bear.jpg</Path>: on Windows, the image will normally be displayed by Windows Photo Viewer (although this depends on how your computer has been set up).</Text>
 <Text id="0373">Back in the <AutoText key="glidict::GUI.Enrich"/> pane, make sure that <Path>Bear.jpg</Path> is selected in the collection tree on the left hand side. Enter the text <b>Bear in the Rocky Mountains</b> as the value for the <AutoText key="metadata::dc.Description"/> field.</Text>
 <Text id="0374">Repeat this process for <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>, adding a suitable description for each.</Text>
@@ -695,5 +695,5 @@
 </NumberedItem>
 <Comment>
-<Text id="0363">After the first three items, the Title and Description become blank because we have only assigned Dublin Core metadata to these first three. To get a full listing, enter all the metadata.</Text>
+<Text id="0363">After the first three items, the Title and Description become blank because we have only assigned Dublin Core metadata to these first three. (To get a full listing you would enter all the metadata.)</Text>
 </Comment>
 <Comment>
@@ -742,5 +742,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
+<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Set the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
 <Comment>
 <Text id="0386b">Note that if you use text instead of macros in the search metadata display text, you will need to do any translations yourself.</Text>
@@ -836,5 +836,5 @@
 </NumberedItem>
 <MajorVersion number="3"><NumberedItem>
-Next, go to <AutoText key="glidict::CDM.FormatManager.Feature"/> in the <AutoText key="glidict::GUI.Format"/> panel, and select the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section. Set the display text value for <b>Index: dc.Creator</b> to Creators.
+Next, go to <AutoText key="glidict::CDM.FormatManager.Feature"/> in the <AutoText key="glidict::GUI.Format"/> panel, and select the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section. Set the display text value for <b>Index: dc.Creator</b> to creators.
 </NumberedItem></MajorVersion>
 <NumberedItem>
@@ -980,5 +980,5 @@
 </Heading>
 <NumberedItem>
-<Text id="fw-14">Next, we'll customize the format for the <MajorVersion number="2"><AutoText key="coredm::_Global:labelCreator_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Creator.buttonname" type="italics"/></MajorVersion> list. Classifier bookshelves have only a few pieces of metadata to display: <Format>[ex.Title]</Format> and <Format>[numleafdocs]</Format>. Whatever metadata the classifier has been built on, the bookshelf label is always stored as <Format>[ex.Title]</Format>. This is why a Creator is printed out for each bookshelf even though <Format>[dc.Creator]</Format> is not specified in the format statement.
+<Text id="fw-14">Next, we'll customize the format statement for the <MajorVersion number="2"><AutoText key="coredm::_Global:labelCreator_" type="italics"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Creator.buttonname" type="italics"/></MajorVersion> list. Classifier bookshelves have only a few pieces of metadata to display: <Format>[ex.Title]</Format> and <Format>[numleafdocs]</Format>. Whatever metadata the classifier has been built on, the bookshelf label is always stored as <Format>[ex.Title]</Format>. This is why a Creator is printed out for each bookshelf even though <Format>[dc.Creator]</Format> is not specified in the format statement.
 <MajorVersion number="2">
  <Format>[numleafdocs]</Format> is only defined for bookshelves, so this metadata can be used in an <Format>{If}</Format> statement to make bookshelves and documents display differently in the list.
@@ -1071,5 +1071,5 @@
 <MajorVersion number="2"><Text id="fw-22-3">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; separator=&quot;&amp;lt;br/&amp;gt;&quot; /&gt;</Format>. This will add a new line after each author (<Format>&amp;lt;br/&amp;gt;</Format> is the escaped version of <Format>&lt;br/&gt;</Format> which specifies a line break in HTML and XML). Preview the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list.</Text></MajorVersion>
 <MajorVersion number="3">
-<Text id="fw-22-3">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; separator=&quot; &quot;&gt;</Format>. This will add a space after each author. Preview the <AutoText key="gs3::metadata_names::Creator.buttonname" type="italics"/> list. However, if you want a newline to separate each author, it requires a little more in order to escape the HTML newline (&lt;br /&gt;) element:
+<Text id="fw-22-3">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; separator=&quot; &quot;/&gt;</Format>. This will add a space after each author. Preview the <AutoText key="gs3::metadata_names::Creator.buttonname" type="italics"/> list. However, if you want a newline to separate each author, it requires a little more in order to escape the HTML newline (&lt;br /&gt;) element:
 </Text>
 <Format>
@@ -1132,8 +1132,8 @@
 <Heading>Obtaining and installing the PDFBox extension for Greenstone</Heading>
 <NumberedItem>
-<Text id="pdfbox-ext-2">The wiki release notes that go with the Greenstone binary you downloaded will contain the download link to the PDFBox extension that works with your binary. If you want to try the most up-to-date version of the extension, <b>visit</b> <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.zip</Link> and download the zip archive from there, if you're in Windows. If you are working on a *nix machine, you might instead prefer to download the compressed tar file of the same by visiting <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz</Link>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="pdfbox-ext-3">Move the downloaded file into your Greenstone installation's <Format>ext</Format> folder.</Text>
+<Text id="pdfbox-ext-2">The wiki release notes that go with the Greenstone binary you downloaded will contain the download link to the PDFBox extension that works with your binary. If you want to try the most up-to-date version of the extension, <b>visit </b> <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.zip</Link> and download the zip archive from there, if you're in Windows. If you are working on a *nix machine, you might instead prefer to download the compressed tar file of the same by visiting <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz</Link>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="pdfbox-ext-3">Move the downloaded file into your Greenstone installation's <Format><MajorVersion number="3">gs2build/</MajorVersion>ext</Format> folder.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1147,5 +1147,5 @@
 <Text id="pdfbox-ext-7">Before you can use the extension, make sure that all instances of GLI, the Greenstone Librarian interface, are closed.</Text>
 <Comment>
-<Text id="pdfbox-ext-8">Note that if you were running GLI through a console, you will want to start up a fresh console, then run the setup script again to set up the Greenstone environment once more, which will this time take the presence of the PDFBox extension into account.</Text>
+<Text id="pdfbox-ext-8">Note that if you were running GLI through a console, you will want to start up a fresh console, then run the setup script again to set up the Greenstone environment once more, which will this time take the presence of the PDFBox extension into account. </Text>
 <Text id="pdfbox-ext-9">To run the setup script, your console needs to be pointing to your Greenstone installation directory. From here, you would run <Format>setup.bat</Format> if you're on Windows, or <Format>source setup.bash</Format> if you're on Linux.</Text>
 </Comment>
@@ -1155,5 +1155,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="pdfbox-ext-11">Now that you've installed the PDFBox extension, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension for any collection you open in GLI, you would go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left and on the right, double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and rebuild your collection. This time, PDF files will be processed by PDFBox which will extract their text.</Text>
+<Text id="pdfbox-ext-10a">Create a new collection called <b>newpdfs</b> and drag and drop the PDF file in <Path>sample_files &rarr; pdfbox</Path> into here. The version of this PDF file is newer than what PDFPlugin can handle by default, but with the PDFBox extension installed, this file can now be processed. Also drag in the older PDF <Path>sample_files &rarr; Word_and_PDF &rarr; Documents &rarr; pdf03.pdf</Path> into the collection.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="pdfbox-ext-11">Now that you've installed the PDFBox extension, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension, go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left, and on the right double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and rebuild your collection. This time, PDF files will be processed by PDFBox which will extract their text.</Text>
 <Text id="pdfbox-ext-12">Try this feature out on a collection of recent PDF files, by configuring its PDFPlugin with the <AutoText text="pdfbox_conversion"/> option turned on.</Text>
 <Text id="pdfbox-ext-12">You can also experiment by configuring the PDFPlugin used in the <b>Reports</b> collection, although that one contains old PDF versions which the default settings of <AutoText text="PDFPlugin"/> can already process successfully. If you do decide to test out the PDFBox extension with the <b>Reports</b> collection, then rebuild it and preview it. However, once you've inspected the results, you may wish to go back to the <AutoText key="glidict::GUI.Design"/> panel and turn off <AutoText text="pdfbox_conversion"/> and rebuild the collection once more, so that it's back to its original state and ready for future tutorials.</Text>
@@ -2358,5 +2361,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0533-16b-3">There are no source or thumb icons, so in the <AutoText text="documentNode"/> and <AutoText text="classifierNode"/> templates of the <AutoText text="browse"/> format feature, remove the occurrences of the following section:</Text>
+<Text id="0533-16b-3">There are no source or thumb icons, so in the <AutoText text="documentNode"/> template of the <AutoText text="browse"/> format feature remove the occurrences of the following section:</Text>
 <Format>
 &lt;td valign="top"&gt;<br />
@@ -2404,5 +2407,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0533-19-3">In the <AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/> list, click on one of the documents. This will take you to the document's display page. Exploding the database has left this document display useless. Only the record Title (in this case, the generated filename) is displayed. We will make two changes to improve the document display. First, we will remove the record Title, since it is not useful in this instance. To remove the record Title, we need to override the default <AutoText text="documentHeading"/> format statement with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel and add the following just after <Format>&lt;gsf:option name=&quot;TOC&quot; value=&quot;true&quot;/&gt;</Format>:</Text>
+<Text id="0533-19-3"><b>Preview</b> the collection. In the <AutoText key="gs3::metadata_names::Title.buttonname" type="italics"/> list, click on one of the documents. This will take you to the document's display page. Exploding the database has left this document display useless. Only the record Title (in this case, the generated filename) is displayed. We will make two changes to improve the document display. First, we will remove the record Title, since it is not useful in this instance. To remove the record Title, we need to override the default <AutoText text="documentHeading"/> format statement with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel and add the following just after <Format>&lt;gsf:option name=&quot;TOC&quot; value=&quot;true&quot;/&gt;</Format>:</Text>
 <Format>&lt;gsf:template name=&quot;documentHeading&quot;/&gt;</Format>
 </MajorVersion>
@@ -2519,5 +2522,5 @@
 </MajorVersion>
 <NumberedItem>
-<Text id="is-16">Finally, let's link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. 
+<Text id="is-16">We'll link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. 
 <MajorVersion number="2">Edit the <AutoText text="DocumentText"/> format statement to look like the following. (This format can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_text.txt</Path>.)</MajorVersion>
 <MajorVersion number="3">Add the following to the <AutoText text="display"/> format statement (which can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_content.txt</Path>), to adjust the <AutoText text="documentContent"/>. This now makes use of a predefined Greenstone javascript function to toggle between displaying and hiding the raw record.</MajorVersion>
@@ -3646,5 +3649,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0690a">Refresh in the web browser to view the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list.</Text>
+<Text id="0690a"><b>Preview</b> the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list.</Text>
 <Text id="0687c">As a consequence of using the <AutoText text="bookshelf_type"/> option of the <AutoText text="List"/> classifier, bookshelf icons appear when titles are browsed. This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf<MajorVersion number="3">, for classifier nodes</MajorVersion>. <MajorVersion number="2">It works by exploiting the fact that only bookshelf icons define <Format>[numleafdocs]</Format> metadata.</MajorVersion> For document nodes, Title is not displayed. Instead, Volume, Number and Date information are displayed.</Text>
 </NumberedItem>
@@ -3847,5 +3850,5 @@
 </MajorVersion>
 </Format>
-<Text id="0690l"><b>Preview</b> the search results. Items display newspaper title, Volume, Number and Date, and pages also display the page number.</Text>
+<Text id="0690l"><b>Preview</b> the search results. Items display newspaper Title, Volume, Number and Date, and pages also display the page number.</Text>
 </NumberedItem>
 <Comment>
@@ -4519,8 +4522,8 @@
 <Text id="0776">The DSpace exported files contain Dublin Core metadata for title and author (amongst other things).</Text>
 <NumberedItem>
-<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Source"/> index, and add one for <AutoText key="metadata::ex.dc.Contributor"/>. Rename the <AutoText key="metadata::ex.dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel. Select this index and change its value to <MajorVersion number="3"><AutoText text="Contributors" type="italics"/>.</MajorVersion><MajorVersion number="2">"_labelAuthor_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</MajorVersion></Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::ex.dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. If not already active, activate the <AutoText text="partition_type_within_level"/> option. Then set it to <AutoText text="none"/>. Finally, activate <AutoText text="buttonname"/> and set this to <AutoText text="contributors"/>. Click <AutoText key="glidict::General.OK" type="button"/> to close the dialog.</Text>
+<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Source"/> index, and add one for <AutoText key="metadata::ex.dc.Contributor"/>. Rename the <AutoText key="metadata::ex.dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel. Select this index and change its value to <MajorVersion number="3"><AutoText text="contributors" type="italics"/>.</MajorVersion><MajorVersion number="2">"_labelAuthor_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</MajorVersion></Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text=" List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::ex.dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. If not already active, activate the <AutoText text="partition_type_within_level"/> option. Then set it to <AutoText text="none"/>. Finally, activate <AutoText text="buttonname"/> and set this to <AutoText text="contributors"/>. Click <AutoText key="glidict::General.OK" type="button"/> to close the dialog.</Text>
 </NumberedItem>
 <NumberedItem>